unit uCaixa;

interface

uses
  uPagamento;

type
  TCaixa = class(TPagamento)
  public
    function processarPagamento(aValor : double) : String; override;
  end;

implementation

{ TCaixa }

function TCaixa.processarPagamento(aValor: double): String;
begin
  if (aValor <= 1000) then begin
    Result := 'Pagamento aprovado pelo Caixa da loja';
  end
  else begin
    Result := sucessor.processarPagamento(aValor);
  end;
end;

end.
