unit uCadPessoa;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, DBCtrls, Grids, DBGrids, DB;

type
  TfrmCadPessoa = class(TForm)
    DBGrid1: TDBGrid;
    DBNavigator1: TDBNavigator;
    Panel1: TPanel;
    bbAnexar: TButton;
    bbFechar: TButton;
    dsPessoa: TDataSource;
    bbGravar: TButton;
    procedure dsPessoaDataChange(Sender: TObject; Field: TField);
    procedure dsPessoaStateChange(Sender: TObject);
    procedure dsPessoaUpdateData(Sender: TObject);
    procedure bbFecharClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure bbGravarClick(Sender: TObject);
    procedure bbAnexarClick(Sender: TObject);
  private
    { Private declarations }
    Procedure Status;
  public
    { Public declarations }
  end;

var
  frmCadPessoa: TfrmCadPessoa;

implementation

uses uDM, UCadArquivo;

{$R *.dfm}

{ TForm1 }

procedure TfrmCadPessoa.bbAnexarClick(Sender: TObject);
begin
  // Uses UCadArquivo
  // chama a janela para anexar os arquivos
  TfrmCadArquivo.Executar(dm.cdsPessoaID_PESSOA.AsInteger);
end;

procedure TfrmCadPessoa.bbFecharClick(Sender: TObject);
begin
  Close;
end;

procedure TfrmCadPessoa.bbGravarClick(Sender: TObject);
begin
  dm.cdsPessoa.Post;
end;

procedure TfrmCadPessoa.dsPessoaDataChange(Sender: TObject; Field: TField);
begin
  Status;
end;

procedure TfrmCadPessoa.dsPessoaStateChange(Sender: TObject);
begin
  Status;
end;

procedure TfrmCadPessoa.dsPessoaUpdateData(Sender: TObject);
begin
  Status;
end;

procedure TfrmCadPessoa.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  dm.cdsPessoa.Close;
end;

procedure TfrmCadPessoa.FormShow(Sender: TObject);
begin
  dm.cdsPessoa.Open;
end;

procedure TfrmCadPessoa.Status;
// mtodo para mudar os estados dos botes
begin
  if dsPessoa.State in [dsEdit,dsInsert] then
  begin
    bbAnexar.Enabled := False;
    bbGravar.Enabled := True;
  end
  Else
  Begin
    if dsPessoa.DataSet.IsEmpty then
      bbAnexar.Enabled := False
    Else
      bbAnexar.Enabled := True;

    bbGravar.Enabled := False;

  End;
end;

end.
