unit uDM;

interface

uses
  SysUtils, Classes, WideStrings, DBXFirebird, FMTBcd, DB, Provider, DBClient,
  SqlExpr, Dialogs, Controls;

type
  TDM = class(TDataModule)
    SQLConnection: TSQLConnection;
    sqlPessoa: TSQLDataSet;
    cdsPessoa: TClientDataSet;
    dspPessoa: TDataSetProvider;
    dsPessoa: TDataSource;
    dsArquivo: TDataSource;
    cdsArquivo: TClientDataSet;
    dspArquivo: TDataSetProvider;
    sqlArquivo: TSQLDataSet;
    sqlPessoaID_PESSOA: TIntegerField;
    sqlPessoaNOME: TStringField;
    sqlPessoaTELEFONE: TStringField;
    cdsPessoaID_PESSOA: TIntegerField;
    cdsPessoaNOME: TStringField;
    cdsPessoaTELEFONE: TStringField;
    sqlArquivoID_ARQUIVO: TIntegerField;
    sqlArquivoID_PESSOA: TIntegerField;
    sqlArquivoNOME_ARQUIVO: TStringField;
    sqlArquivoNOME_ORIGINAL: TStringField;
    sqlArquivoDATA_CRIACAO: TDateField;
    sqlArquivoOBSERVACAO: TStringField;
    cdsArquivoID_ARQUIVO: TIntegerField;
    cdsArquivoID_PESSOA: TIntegerField;
    cdsArquivoNOME_ARQUIVO: TStringField;
    cdsArquivoNOME_ORIGINAL: TStringField;
    cdsArquivoDATA_CRIACAO: TDateField;
    cdsArquivoOBSERVACAO: TStringField;
    procedure cdsPessoaAfterPost(DataSet: TDataSet);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  DM: TDM;

implementation

{$R *.dfm}

procedure TDM.cdsPessoaAfterPost(DataSet: TDataSet);
begin
  // adicionar os Uses Dialogs e Controls
  if (MessageDlg('confirma a gravao dos dados?', mtConfirmation, [mbYes, mbNo], 0) = mrYes) then
  Begin
    If dm.cdsPessoa.ApplyUpdates(0) = 0 Then
    Begin
      // se o ID_Pessoa estiver vazio,
      // foi incluso e preciso atualizar o registro
      If dm.cdsPessoaID_PESSOA.IsNull Then
      Begin
        // fecho e abro a tabela para atualizar o ID
        // da pessoa
        dm.cdsPessoa.Close;
        dm.cdsPessoa.Open;
        dm.cdsPessoa.Last;
      End;
    End;
  End;
end;

end.
