unit uFrenteLoja;

interface

uses
  uPagamento;

type
  TFrenteLoja = class(TPagamento)
  public
    function processarPagamento(aValor : double) : String; override;
  end;

implementation

{ TFrenteLoja }

function TFrenteLoja.processarPagamento(aValor: double): String;
begin
  if (aValor <= 100) then begin
    Result := 'Pagamento aprovado pela frente da loja';
  end
  else begin
    Result := sucessor.processarPagamento(aValor);
  end;
end;

end.
